<?php
/**
 * 产品运营
 * by qincp
 *
 * 2017-11-30
 */

/**
 * 用户数据文件
 */
Route::group(['domain'=>env('MANAGE_DOMAIN'),'namespace' => 'App\Http\Controllers\Manage\User', 'prefix' => 'api/user','middleware'=>'ManageApiAuth'], function () {

    //根据用户id获取 用户数据
    Route::get('getUserDataById', 'UserDataController@getUserDataById');

    //获取用户数据
    Route::get('getUsers', 'UserDataController@getUsers');

    //转移书币
    Route::post('transBalanceByUser', 'UserWealthController@transBalanceByUser');

    Route::post('updateUserCoin','UserWealthController@addBookCoin');
    Route::post('updateUserYearRecharge','UserWealthController@updateUserYearOrders');

});